Console API
  1. Instances
Console API
  • User
    • User Info
      GET
    • Ssh keys
      GET
  • IAM
    • Add user to user group
      POST
    • Create user group
      POST
    • Get roles
      GET
    • Get all user groups v2
      GET
    • Create user group v2
      PUT
    • Detail user group v2
      GET
    • Update user group v2
      PUT
    • Delete a user group v2
      DELETE
    • Get roles v2
      GET
    • Detail role v2
      GET
    • Delete a Role v2
      DELETE
    • Get user list of all VPCs
      GET
  • Tenant / Regions
    • Get Regions & Tenant info
    • Get Tenant Info
  • Project
    • Get project list
    • Create Project
    • Detail Project
    • Delete Project
  • VPC
    • Get VPC List (Tenant Owner)
    • Get VPC List
    • Rename VPC
    • Create VPC
    • Delete VPC
    • Get VPC Quota
    • Check user can create VPC
    • Get VPCs of User v2
  • Images
    • Get images
  • Flavors
    • Get flavors
  • Storage Policy
    • List
  • Instances
    • List
      GET
    • Detail
      GET
    • Security Group
      GET
    • Create instance
      POST
    • Power off
      POST
    • Reboot
      POST
    • Power on
      POST
    • Terminate
      POST
    • Resize
      POST
    • Lock Termination
      POST
    • Rename
      POST
    • Manage tag
      POST
    • Check VPC enable NVME
      GET
    • Get Monitor performance url
      GET
  • Subnet
    • List
    • Create
    • Rename
    • Delete
    • Manage tags
  • Security group
    • Security Group List
    • Security Group Detail
    • Rule Types
    • Create Security Group
    • Create Rule
    • Apply to private ip
    • Delete Rule
    • Delete security group
    • Manage tag
    • Get application ports
    • Get quota Security Group
  • Floating IP
    • List
    • Allocate
    • Connect to instance
    • Disconnect
    • Release
    • Manage tag
  • Activity Logs
    • List
  • Tags
    • Lists
  • Billing
    • Bill
      • Get bills by date
      • Get Bills by paging
      • Bill Info
      • Bill service types
  • S3
    • Get bucket policy
    • List buckets
    • Get s3 service enabled
  • IP Access
    • API Portal Access Log
  • Metal Cloud
    • Bare Metal Servers
      • List all servers
      • Get server details
      • Get server console URL
      • Create server (V2)
      • Create server (V1)
      • Rename a server (Portal name)
      • Power on a server
      • Power off a server
      • Delete a server
    • Subnets
      • Get an available subnet
      • Create a subnet
      • List all subnets
      • Delete a subnet
      • Update a subnet
    • Network ACLs
      • List all network ACLs
      • Update a network ACL
      • Get a network ACL details
      • List all rule groups of a Network ACL
      • List all rules of a group (Network ACL)
      • Update a rule of a network ACL
    • OS images
      • List all public images
      • List all custom images
      • Upload a new custom image to S3
      • Get presigned upload URLs
      • Upload a custom image from S3 to FPT image repository
      • Delete a custom image
      • Sync an image to Console (Portal)
    • Server flavors
      • Quota list
      • Get list server flavors
  • Storage Disk
    • Create Storage Disk
    • List Storages
    • Update
    • Create snapshot
    • Tagging
    • Attach
    • Detach
    • Delete
  • Instance Group
    • Create
    • Get policies
    • Get Instance groups
    • Delete
  • Instance Schedule
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • VPN
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • Task
    • Mark as read
  • Edge Gateway
    • Get list edge gateways
  • Schemas
    • Sample Schemas
      • CreateInstanceSchema
      • Pet
      • Category
      • Tag
    • Metal Cloud
      • Request
      • Bare Metal Server details
      • Subscription
      • Package details
      • Image
  1. Instances

Detail

GET
/api/v1/vmware/vpc/{vpc_id}/compute/instance/{instance_id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v1/vmware/vpc//compute/instance/' \
--header 'Accept: application/json, text/plain, */*' \
--header 'OrgId;' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "id": "7cc53d21-213d-4189-86e1-9eee177e90aa",
    "vpc_id": "d519738b-07dd-4e16-8ff2-cf2a2bce6520",
    "created_at": "2025-08-27T04:01:17",
    "updated_at": "2025-08-27T04:10:03",
    "infra_created_at": "2025-08-27T04:01:20",
    "name": "vm-25082711059",
    "status": "POWERED_ON",
    "guest_os": "WINSRV-DC2012R2-KMS-04052023",
    "host_name": "vm-25082711059",
    "ip_address": "172.16.185.170",
    "number_of_cpus": 1,
    "memory_mb": 1024,
    "network_name": "subnet-3909",
    "celery_task_id": null,
    "vmw_id": null,
    "log_iaas_vmw": null,
    "kubernetes_cluster_id": null,
    "kubernetes_role": null,
    "database_cluster_id": null,
    "database_role": null,
    "is_deployed": true,
    "is_locked": null,
    "display_name": "vm-25082711059",
    "platform": null,
    "osp_id": "0cd9e4bd-c54f-462a-906d-56b2d6459e0f",
    "password": null,
    "meta_data": {
        "is_fci_license": "True"
    },
    "hidden": false,
    "resource_template_id": null,
    "zone_id": "e3e8a506-2db6-4114-a6cc-38cecb018c17",
    "contract_type": "RESERVED",
    "is_fci_license": true,
    "status_action": null,
    "vm_group_id": null,
    "flavor_id": "bf4b16eb-3527-4050-b244-62d2b6c6af18",
    "is_nvme": false,
    "is_deleted": false,
    "user_id": "0d76bb68-28a9-43d6-8305-a32f9dfae1cf",
    "image_id": "00d45071-6db6-48ee-9e6d-32f739772c88",
    "vGpuIds": [],
    "ip_address_external": null,
    "enabled_allocate_ip": true,
    "is_xplat_instance": false,
    "vm_group": null,
    "is_database_instance": false
}
Modified at 2025-08-27 06:46:12
Previous
List
Next
Security Group
Built with